<?php

/**
 * Created by PhpStorm.
 * User: Administrator
 * Date: 2019/6/6
 * Time: 14:08
 */
namespace App\Transformers\Circle;

use App\Models\Post;
use App\Traits\PostTrait;
use Illuminate\Support\Carbon;
use League\Fractal\TransformerAbstract;

class ArticleListTransformer extends TransformerAbstract
{
    use PostTrait;
    public function transform(Post $post)
    {
        return [
            'id' => $post['id'],
            'created_at' => Carbon::parse($post['created_at'])->toDateTimeString(),
            'uid' => $post['uid'],
            'username' => $post['username'],
            'avatar' => $post['avatar'],
            'topic' => $this->getTopic($post['topic_ids'], 1),
            'content' => subtext(strip_tags($post['content']), 20),
            'pv' => $post->data->pv_real.'/'.$post->data->pv,
            'praise_count' => $post->data->praise_real_count.'/'.$post->data->praise_count,
            'share_count' => $post->data->share_real_count.'/'.$post->data->share_count,
            'comment_count' => $post->data->comment_count,
            'collect_count' => $post->data->collect_real_count.'/'.$post->data->collect_count,
            'is_recommend' => $post['is_recommend'],
            'circle_id' => $post['circle_id'],
        ];
    }
}