<?php

/**
 * Created by PhpStorm.
 * User: Administrator
 * Date: 2019/6/6
 * Time: 14:08
 */

namespace App\Transformers\Circle;

use App\Models\InterestCircle;
use App\Traits\PostTrait;
use Illuminate\Support\Carbon;
use League\Fractal\TransformerAbstract;

class DetailTransformer extends TransformerAbstract
{
    use PostTrait;

    public function transform(InterestCircle $interestCircle)
    {
        return [
            'id' => $interestCircle['id'],
            'name' => $interestCircle['name'],
            'notice' => $interestCircle['notice'],
            'image' => $interestCircle['image'],
            'limit_article_ids' => $interestCircle['limit_article_ids']?$this->getTopic($interestCircle['limit_article_ids'], 1):[],
            'contains_function' => (json_decode($interestCircle['contains_function'],true)),
            'join_limit' => $interestCircle['join_limit'],
            'limit_condition' => $interestCircle['limit_condition'],
            'join_question' => (json_decode($interestCircle['join_question'],true))??[],
            'picture_count' => $interestCircle['picture_count'],
            'article_count' => $interestCircle['article_count'],
            'message_count' => $interestCircle['message_count'],
            'join_count' => $interestCircle['join_count'],
        ];
    }
}