<?php

/**
 * Created by PhpStorm.
 * User: Administrator
 * Date: 2019/6/6
 * Time: 14:08
 */

namespace App\Transformers\Circle;

use App\Models\InterestCircle;
use App\Models\InterestCirclePicture;
use App\Traits\UserTrait;
use Illuminate\Support\Carbon;
use League\Fractal\TransformerAbstract;

class InterestCirclePictureTransformer extends TransformerAbstract
{
    use UserTrait;

    public function transform(InterestCirclePicture $interestCirclePicture)
    {
        $user = $this->getShortUserInfo($interestCirclePicture['uid']);
        return [
            'id' => $interestCirclePicture['id'],
            'user' => $user ? $user : new \stdClass(),
            'image' => $interestCirclePicture['image'],
            'created_at' => Carbon::parse($interestCirclePicture['created_at'])->toDateTimeString(),
        ];
    }
}