<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateTablePostStore extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('post_store', function (Blueprint $table) {
            $table->bigIncrements('id');

            $table->string('source', 32)
                ->default('未知')
                ->comment('来源');

            $table->integer('source_id')
                ->default(0)
                ->comment('来源id');

            $table->string('type', 16)
                ->default('image')
                ->comment('类型：image图文，video视频，html富文本');

            $table->string('img', 255)
                ->comment('主图');

            $table->string('video', 255)
                ->default('')
                ->comment('视频');

            $table->string('title', 128)
                ->default('')
                ->comment('标题');

            $table->text('content')
                ->nullable()
                ->comment('内容');

            $table->tinyInteger('is_used')
                ->default(0)
                ->comment('是否使用：0否，1是');

            $table->timestamps();

            $table->index(['source', 'source_id'], 'idx_source_source_id');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('post_store');
    }
}
