<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateTablePostCommentLike extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('post_comment_like', function (Blueprint $table) {
            $table->bigIncrements('id');

            $table->integer('uid')
                ->default(0)
                ->comment('用户uid');

            $table->integer('comment_id')
                ->default(0)
                ->comment('评论id');

            $table->index(['uid', 'comment_id'], 'idx_uid_comment_id');

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('post_comment_like');
    }
}
