<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateInterestCircleUsersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('interest_circle_users', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->integer('circle_id')->default(0)->comment('圈子ID');
            $table->integer('uid')->default(0)->comment('用户ID');
            $table->tinyInteger('is_black')->default(0)->comment('是否黑名单 0否1是');

            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('interest_circle_users');
    }
}
