<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateInterestCirclePicturesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('interest_circle_pictures', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->integer('circle_id')->default(0)->comment('圈子ID');
            $table->integer('uid')->default(0)->comment('用户ID');
            $table->string('image')->default('')->comment('图片地址');
            $table->string('patch_num')->default('')->comment('上传批次号');

            $table->softDeletes();
            $table->timestamps();

            $table->index(['circle_id', 'patch_num'],'idx_search');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('interest_circle_pictures');
    }
}
