<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateInterestCircleMessagesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('interest_circle_messages', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->integer('circle_id')->default(0)->comment('圈子ID');
            $table->integer('uid')->default(0)->comment('用户ID');
            $table->string('content',255)->default('')->comment('内容');
            $table->integer('good')->default(0)->comment('顶 次数');
            $table->integer('bad')->default(0)->comment('踩 次数');
            $table->integer('comment_count')->default(0)->comment('评论数');
            $table->tinyInteger('is_recommend')->default(0)->comment('是否推荐 0未推荐1已推荐');

            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('interest_circle_messages');
    }
}
