<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateInterestCircleMessageCommentsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('interest_circle_message_comments', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->integer('circle_id')->default(0)->comment('圈子ID');
            $table->integer('uid')->default(0)->comment('用户ID');
            $table->integer('msg_id')->default(0)->comment('留言ID');
            $table->integer('parent_id')->default(0)->comment('上级留言ID');
            $table->integer('reply_uid')->default(0)->comment('回复ID');
            $table->integer('reply_count')->default(0)->comment('回复数量');
            $table->string('content')->default('')->comment('评论内容');
            $table->tinyInteger('is_delete')->default(0)->comment('是否删除：0否，1是');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('interest_circle_message_comments');
    }
}
